API references
Merchant API

Filter Terminals

Returns a paginated list of terminals for the authenticated merchant with search capabilities.

This endpoint provides full-text search functionality using the SearchIndex infrastructure, allowing you to search terminals by name, external ID, and branch name.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/filter-terminals HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
per_page: number?,
page: number?,
terms: string?,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started. Note that this endpoint returns a paginated response, see the Pagination section of the same guide.
Request arguments
per_page number

Optional. Number of terminals to return per page. Default: 10, Maximum: 100

page number

Optional. Page number for pagination. Default: 1 (first page)

terms string

Optional. Full-text search across terminal content. Searches terminal name, external ID, and branch name. Uses fuzzy matching for partial text matches.

Response attributes
Attribute Description
previous
object

Nullable. Pagination for the previous page. Contains 'before' (page number) and 'per_page' (page size) parameters. Use these values in the 'page' and 'per_page' parameters of the next request to get the previous page. Returns null if there is no previous page.

page
array<object.terminal>

Always present. The current page of records, ordered by creation date (newest first). Each record is serialized according to the specified record_serializer option.

next
object

Nullable. Pagination for the next page. Contains 'after' (page number) and 'per_page' (page size) parameters. Use these values in the 'page' and 'per_page' parameters of the next request to get the next page. Returns null if there is no next page.

Terminal attributes
Attribute Description
terminal_id
string

Always present. The ID of the terminal.

connected
boolean

Always present. Whether the terminal currently has an active device connection.

Possible values:
  • true
  • false
external_id
string

Nullable. External identifier of the terminal (from your system).

installation_id
string

Nullable. The installation ID associated with this terminal, if any.

name
string

Always present. Human-readable name of the terminal.

branch_name
string

Nullable. Optional branch/store name this terminal belongs to.

enabled
boolean

Always present. Whether the terminal is enabled.

Possible values:
  • true
  • false
kiosk_mode
boolean

Always present. Whether the terminal is in kiosk mode.

Possible values:
  • true
  • false
last_verified_at
number

Nullable. When the device last verified, as a Unix timestamp. Null if never.

connected_at
number

Nullable. When the device last connected, as a Unix timestamp. Null if never.

delegated_terminal_id
string

Nullable. The ID of the child terminal this terminal delegates payment display to, if any.

parent_terminal_id
string

Nullable. The ID of the parent terminal that delegates payment display to this terminal, if any.

challenge
string

Always present. One-time challenge to embed in the terminal QR code. Rotates after each successful device connection.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
curl "https://api.reservepay.com/merchants/filter-terminals" \
  -X POST
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
  -d '{
        "terms": "city branch"
      }'
Learn how to run these code samples in your terminal by reading our guide.